
QGIS Application - Bug report #12525

Field calculator preview updates layout to a really big unusable window (we need to truncate result 

preview)

2015-04-07 05:57 AM - George Rodrigues da Cunha Silva

Status: Closed

Priority: Normal

Assignee:

Category: Field calculator

Affected QGIS version:2.6.0 Regression?: No

Operating System: Linux Mint Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 20669

Description

Hello everyone,

Well, I tried to calculate a new field using the Field Calculator, and I tried to create a text field, 255 length. I assigned it to be the result of

the following expression:

geomToWKT($geometry)

When I close the parentheses, the screen updates with the preview result of the expression, enlarging the window to a very big size. This

output preview should be truncated when text is larger then a number of characters.

QGIS Version: 2.6;

OS: Linux Mint 17;

Occurs with shapefiles and sqlite. Probably other sources too.

Related issues:

Duplicated by QGIS Application - Bug report # 12433: Expression builder dialo... Closed 2015-03-23

History

#1 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#2 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#3 - 2015-06-09 02:58 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #12433
